SANDBOX_UNIX(6)

NAME
sandbox_unix - Launcher Script for Platinum Arts Sandbox Game Maker

SYNOPSIS
sandbox_unix [options]

DESCRIPTION
This manual page documents briefly the sandbox_unix command.

sandboxgamemaker is a program that allows collaborative creation of video games. Please see http://sandboxgamemaker.com for further information.

SCRIPT OPTIONS
To add a command line option type (-) followed by the argument with no spaces.

-h|-?|-help|--help
    show this help message

-g<string>
    set gamemode to <string> (default: fps)
    available modes: ssp, fps, rpg, movie, krs

--server
    launch dedicated server binary instead

--launcher
    start the graphical launcher GUI instead

--master
    launch a masterserver for server registration
    NOTE: compiled masterserver not included

CLIENT OPTIONS
To add a command line option type (-) followed by the argument with no spaces.

-q<string>
    use <string> as the home directory (default: ~/.platinumarts)

-k<string>
    mounts <string> as a package directory

-r<string>
    executes <string> before launching, use instead of arguments such as -t, -a, -h, etc

-t<num>
    sets fullscreen to <num>

-d<num>
    runs a dedicated server (0), or a listen server (1)

-w<num>
    sets window width, height is set to width * 3 / 4 unless also provided

-h<num>
    sets window height, width is set to height * 4 / 3 unless also provided

-z<num>
    sets depth (z) buffer bits (do not touch)

-b<num>
    sets colour bits (usually 32 bit)

-a<num>
    sets anti aliasing to <num>

-v<num>
    sets vsync to <num> -- -1 for auto

-t<num>
    sets fullscreen to <num>

-s<num>
    sets stencil buffer bits to <num> (do not touch)

-f<num>
    turns of shaders (0), or sets shader precision to <num> - 1 (1-3)

-l<string>
    loads map <string> after initialisation

-x<string>
    executes script <string> after initialisation

SERVER OPTIONS
To add a command line option type (-) followed by the argument with no spaces.

-u<num>
    sets the upload rate to <num>

-c<num>
    sets the maximum amount of clients (max: 127 humans)

-i<string> sets the server's ip address (use with caution)

-j<num> sets the port to use for server connections

-m<string>
    sets the masterserver's URL to <string>

-q<string>
    use <string> as the home directory (default: ~/.platinumarts)

-k<string>
    mounts <string> as a package directory

SEE ALSO
/usr/share/doc/sandboxgamemaker/

AUTHOR
Sandbox Game Maker was written by:
Platinum Arts, LLC <PlatinumArts@gmail.com>
sandbox_unix by Kevin "Hirato Kirata" Meyer
(c) 2008-2010 - zlib/libpng licensed

This manual page was written by Scott Howard <showard314@gmail.com>, for the Debian project (and may be used by others).